#!/usr/bin/python

import sys
import os
#import subprocess

filename = sys.argv[1]
path = "programs/" + filename + ".bag"

print path

if not os.path.exists(path):
    print "[ERROR] File not found.\n"
    exit

file = open(path, 'r')

program = ""
for line in file:
    line = line.strip()
    if line and line[0] == '#':
        continue
    program = program + line.replace("\n", " ")

command = "tjsim bag -s \"bag (" + program + ").\" > " + filename + ".out"
print "... Executing: " + command

os.system(command)


